Package org.eclipse.birt.chart.model.type

# Interface TypePackage.Literals

Enclosing interface:
  `TypePackage`

public static interface TypePackage.Literals
Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

## Field Summary

Fields
Modifier and Type
Field
Description
`static final org.eclipse.emf.ecore.EClass`
`AREA_SERIES`
The meta object literal for the '`Area Series`' class.
`static final org.eclipse.emf.ecore.EClass`
`BAR_SERIES`
The meta object literal for the '`Bar Series`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`BAR_SERIES__RISER`
The meta object literal for the 'Riser' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`BAR_SERIES__RISER_OUTLINE`
The meta object literal for the 'Riser Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`BUBBLE_SERIES`
The meta object literal for the '`Bubble Series`' class.
`static final org.eclipse.emf.ecore.EReference`
`BUBBLE_SERIES__ACC_LINE_ATTRIBUTES`
The meta object literal for the 'Acc Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`BUBBLE_SERIES__ACC_ORIENTATION`
The meta object literal for the 'Acc Orientation' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`DIAL_SERIES`
The meta object literal for the '`Dial Series`' class.
`static final org.eclipse.emf.ecore.EReference`
`DIAL_SERIES__DIAL`
The meta object literal for the 'Dial' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`DIAL_SERIES__NEEDLE`
The meta object literal for the 'Needle' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`DIFFERENCE_SERIES`
The meta object literal for the '`Difference Series`' class.
`static final org.eclipse.emf.ecore.EReference`
`DIFFERENCE_SERIES__NEGATIVE_LINE_ATTRIBUTES`
The meta object literal for the 'Negative Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`DIFFERENCE_SERIES__NEGATIVE_MARKERS`
The meta object literal for the 'Negative Markers' containment reference list feature.
`static final org.eclipse.emf.ecore.EClass`
`GANTT_SERIES`
The meta object literal for the '`Gantt Series`' class.
`static final org.eclipse.emf.ecore.EReference`
`GANTT_SERIES__CONNECTION_LINE`
The meta object literal for the 'Connection Line' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`GANTT_SERIES__DECORATION_LABEL`
The meta object literal for the 'Decoration Label' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GANTT_SERIES__DECORATION_LABEL_POSITION`
The meta object literal for the 'Decoration Label Position' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`GANTT_SERIES__END_MARKER`
The meta object literal for the 'End Marker' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GANTT_SERIES__END_MARKER_POSITION`
The meta object literal for the 'End Marker Position' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`GANTT_SERIES__OUTLINE`
The meta object literal for the 'Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`GANTT_SERIES__OUTLINE_FILL`
The meta object literal for the 'Outline Fill' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GANTT_SERIES__PALETTE_LINE_COLOR`
The meta object literal for the 'Palette Line Color' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`GANTT_SERIES__START_MARKER`
The meta object literal for the 'Start Marker' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GANTT_SERIES__START_MARKER_POSITION`
The meta object literal for the 'Start Marker Position' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`GANTT_SERIES__USE_DECORATION_LABEL_VALUE`
The meta object literal for the 'Use Decoration Label Value' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`LINE_SERIES`
The meta object literal for the '`Line Series`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_SERIES__CONNECT_MISSING_VALUE`
The meta object literal for the 'Connect Missing Value' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_SERIES__CURVE`
The meta object literal for the 'Curve' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LINE_SERIES__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LINE_SERIES__MARKER`
The meta object literal for the 'Marker' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`LINE_SERIES__MARKERS`
The meta object literal for the 'Markers' containment reference list feature.
`static final org.eclipse.emf.ecore.EAttribute`
`LINE_SERIES__PALETTE_LINE_COLOR`
The meta object literal for the 'Palette Line Color' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`LINE_SERIES__SHADOW_COLOR`
The meta object literal for the 'Shadow Color' containment reference feature.
`static final org.eclipse.emf.ecore.EClass`
`PIE_SERIES`
The meta object literal for the '`Pie Series`' class.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__CLOCKWISE`
The meta object literal for the 'Clockwise' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__EXPLOSION`
The meta object literal for the 'Explosion' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__EXPLOSION_EXPRESSION`
The meta object literal for the 'Explosion Expression' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__INNER_RADIUS`
The meta object literal for the 'Inner Radius' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__INNER_RADIUS_PERCENT`
The meta object literal for the 'Inner Radius Percent' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`PIE_SERIES__LEADER_LINE_ATTRIBUTES`
The meta object literal for the 'Leader Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__LEADER_LINE_LENGTH`
The meta object literal for the 'Leader Line Length' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__LEADER_LINE_STYLE`
The meta object literal for the 'Leader Line Style' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__RATIO`
The meta object literal for the 'Ratio' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__ROTATION`
The meta object literal for the 'Rotation' attribute feature.
`static final org.eclipse.emf.ecore.EReference`
`PIE_SERIES__SLICE_OUTLINE`
The meta object literal for the 'Slice Outline' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`PIE_SERIES__TITLE`
The meta object literal for the 'Title' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`PIE_SERIES__TITLE_POSITION`
The meta object literal for the 'Title Position' attribute feature.
`static final org.eclipse.emf.ecore.EClass`
`SCATTER_SERIES`
The meta object literal for the '`Scatter Series`' class.
`static final org.eclipse.emf.ecore.EClass`
`STOCK_SERIES`
The meta object literal for the '`Stock Series`' class.
`static final org.eclipse.emf.ecore.EReference`
`STOCK_SERIES__FILL`
The meta object literal for the 'Fill' containment reference feature.
`static final org.eclipse.emf.ecore.EReference`
`STOCK_SERIES__LINE_ATTRIBUTES`
The meta object literal for the 'Line Attributes' containment reference feature.
`static final org.eclipse.emf.ecore.EAttribute`
`STOCK_SERIES__SHOW_AS_BAR_STICK`
The meta object literal for the 'Show As Bar Stick' attribute feature.
`static final org.eclipse.emf.ecore.EAttribute`
`STOCK_SERIES__STICK_LENGTH`
The meta object literal for the 'Stick Length' attribute feature.

## Field Details

### AREA_SERIES

static final org.eclipse.emf.ecore.EClass AREA_SERIES
The meta object literal for the '`Area Series`' class.

See Also:
  - `AreaSeriesImpl`
  - `TypePackageImpl.getAreaSeries()`

### BAR_SERIES

static final org.eclipse.emf.ecore.EClass BAR_SERIES
The meta object literal for the '`Bar Series`' class.

See Also:
  - `BarSeriesImpl`
  - `TypePackageImpl.getBarSeries()`

### BAR_SERIES__RISER

static final org.eclipse.emf.ecore.EAttribute BAR_SERIES__RISER
The meta object literal for the 'Riser' attribute feature.

### BAR_SERIES__RISER_OUTLINE

static final org.eclipse.emf.ecore.EReference BAR_SERIES__RISER_OUTLINE
The meta object literal for the 'Riser Outline' containment reference feature.

### BUBBLE_SERIES

static final org.eclipse.emf.ecore.EClass BUBBLE_SERIES
The meta object literal for the '`Bubble Series`' class.

See Also:
  - `BubbleSeriesImpl`
  - `TypePackageImpl.getBubbleSeries()`

### BUBBLE_SERIES__ACC_LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference BUBBLE_SERIES__ACC_LINE_ATTRIBUTES
The meta object literal for the 'Acc Line Attributes' containment reference feature.

### BUBBLE_SERIES__ACC_ORIENTATION

static final org.eclipse.emf.ecore.EAttribute BUBBLE_SERIES__ACC_ORIENTATION
The meta object literal for the 'Acc Orientation' attribute feature.

### DIAL_SERIES

static final org.eclipse.emf.ecore.EClass DIAL_SERIES
The meta object literal for the '`Dial Series`' class.

See Also:
  - `DialSeriesImpl`
  - `TypePackageImpl.getDialSeries()`

### DIAL_SERIES__DIAL

static final org.eclipse.emf.ecore.EReference DIAL_SERIES__DIAL
The meta object literal for the 'Dial' containment reference feature.

### DIAL_SERIES__NEEDLE

static final org.eclipse.emf.ecore.EReference DIAL_SERIES__NEEDLE
The meta object literal for the 'Needle' containment reference feature.

### DIFFERENCE_SERIES

static final org.eclipse.emf.ecore.EClass DIFFERENCE_SERIES
The meta object literal for the '`Difference Series`' class.

See Also:
  - `DifferenceSeriesImpl`
  - `TypePackageImpl.getDifferenceSeries()`

### DIFFERENCE_SERIES__NEGATIVE_MARKERS

static final org.eclipse.emf.ecore.EReference DIFFERENCE_SERIES__NEGATIVE_MARKERS
The meta object literal for the 'Negative Markers' containment reference list feature.

### DIFFERENCE_SERIES__NEGATIVE_LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference DIFFERENCE_SERIES__NEGATIVE_LINE_ATTRIBUTES
The meta object literal for the 'Negative Line Attributes' containment reference feature.

### GANTT_SERIES

static final org.eclipse.emf.ecore.EClass GANTT_SERIES
The meta object literal for the '`Gantt Series`' class.

See Also:
  - `GanttSeriesImpl`
  - `TypePackageImpl.getGanttSeries()`

### GANTT_SERIES__START_MARKER

static final org.eclipse.emf.ecore.EReference GANTT_SERIES__START_MARKER
The meta object literal for the 'Start Marker' containment reference feature.

### GANTT_SERIES__START_MARKER_POSITION

static final org.eclipse.emf.ecore.EAttribute GANTT_SERIES__START_MARKER_POSITION
The meta object literal for the 'Start Marker Position' attribute feature.

### GANTT_SERIES__END_MARKER

static final org.eclipse.emf.ecore.EReference GANTT_SERIES__END_MARKER
The meta object literal for the 'End Marker' containment reference feature.

### GANTT_SERIES__END_MARKER_POSITION

static final org.eclipse.emf.ecore.EAttribute GANTT_SERIES__END_MARKER_POSITION
The meta object literal for the 'End Marker Position' attribute feature.

### GANTT_SERIES__CONNECTION_LINE

static final org.eclipse.emf.ecore.EReference GANTT_SERIES__CONNECTION_LINE
The meta object literal for the 'Connection Line' containment reference feature.

### GANTT_SERIES__OUTLINE

static final org.eclipse.emf.ecore.EReference GANTT_SERIES__OUTLINE
The meta object literal for the 'Outline' containment reference feature.

### GANTT_SERIES__OUTLINE_FILL

static final org.eclipse.emf.ecore.EReference GANTT_SERIES__OUTLINE_FILL
The meta object literal for the 'Outline Fill' containment reference feature.

### GANTT_SERIES__USE_DECORATION_LABEL_VALUE

static final org.eclipse.emf.ecore.EAttribute GANTT_SERIES__USE_DECORATION_LABEL_VALUE
The meta object literal for the 'Use Decoration Label Value' attribute feature.

### GANTT_SERIES__DECORATION_LABEL

static final org.eclipse.emf.ecore.EReference GANTT_SERIES__DECORATION_LABEL
The meta object literal for the 'Decoration Label' containment reference feature.

### GANTT_SERIES__DECORATION_LABEL_POSITION

static final org.eclipse.emf.ecore.EAttribute GANTT_SERIES__DECORATION_LABEL_POSITION
The meta object literal for the 'Decoration Label Position' attribute feature.

### GANTT_SERIES__PALETTE_LINE_COLOR

static final org.eclipse.emf.ecore.EAttribute GANTT_SERIES__PALETTE_LINE_COLOR
The meta object literal for the 'Palette Line Color' attribute feature.

### LINE_SERIES

static final org.eclipse.emf.ecore.EClass LINE_SERIES
The meta object literal for the '`Line Series`' class.

See Also:
  - `LineSeriesImpl`
  - `TypePackageImpl.getLineSeries()`

### LINE_SERIES__MARKERS

static final org.eclipse.emf.ecore.EReference LINE_SERIES__MARKERS
The meta object literal for the 'Markers' containment reference list feature.

### LINE_SERIES__MARKER

static final org.eclipse.emf.ecore.EReference LINE_SERIES__MARKER
The meta object literal for the 'Marker' containment reference feature.

### LINE_SERIES__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference LINE_SERIES__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### LINE_SERIES__PALETTE_LINE_COLOR

static final org.eclipse.emf.ecore.EAttribute LINE_SERIES__PALETTE_LINE_COLOR
The meta object literal for the 'Palette Line Color' attribute feature.

### LINE_SERIES__CURVE

static final org.eclipse.emf.ecore.EAttribute LINE_SERIES__CURVE
The meta object literal for the 'Curve' attribute feature.

### LINE_SERIES__SHADOW_COLOR

static final org.eclipse.emf.ecore.EReference LINE_SERIES__SHADOW_COLOR
The meta object literal for the 'Shadow Color' containment reference feature.

### LINE_SERIES__CONNECT_MISSING_VALUE

static final org.eclipse.emf.ecore.EAttribute LINE_SERIES__CONNECT_MISSING_VALUE
The meta object literal for the 'Connect Missing Value' attribute feature.

### PIE_SERIES

static final org.eclipse.emf.ecore.EClass PIE_SERIES
The meta object literal for the '`Pie Series`' class.

See Also:
  - `PieSeriesImpl`
  - `TypePackageImpl.getPieSeries()`

### PIE_SERIES__EXPLOSION

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__EXPLOSION
The meta object literal for the 'Explosion' attribute feature.

### PIE_SERIES__EXPLOSION_EXPRESSION

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__EXPLOSION_EXPRESSION
The meta object literal for the 'Explosion Expression' attribute feature.

### PIE_SERIES__TITLE

static final org.eclipse.emf.ecore.EReference PIE_SERIES__TITLE
The meta object literal for the 'Title' containment reference feature.

### PIE_SERIES__TITLE_POSITION

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__TITLE_POSITION
The meta object literal for the 'Title Position' attribute feature.

### PIE_SERIES__LEADER_LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference PIE_SERIES__LEADER_LINE_ATTRIBUTES
The meta object literal for the 'Leader Line Attributes' containment reference feature.

### PIE_SERIES__LEADER_LINE_STYLE

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__LEADER_LINE_STYLE
The meta object literal for the 'Leader Line Style' attribute feature.

### PIE_SERIES__LEADER_LINE_LENGTH

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__LEADER_LINE_LENGTH
The meta object literal for the 'Leader Line Length' attribute feature.

### PIE_SERIES__SLICE_OUTLINE

static final org.eclipse.emf.ecore.EReference PIE_SERIES__SLICE_OUTLINE
The meta object literal for the 'Slice Outline' containment reference feature.

### PIE_SERIES__RATIO

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__RATIO
The meta object literal for the 'Ratio' attribute feature.

### PIE_SERIES__ROTATION

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__ROTATION
The meta object literal for the 'Rotation' attribute feature.

### PIE_SERIES__CLOCKWISE

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__CLOCKWISE
The meta object literal for the 'Clockwise' attribute feature.

### PIE_SERIES__INNER_RADIUS

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__INNER_RADIUS
The meta object literal for the 'Inner Radius' attribute feature.

### PIE_SERIES__INNER_RADIUS_PERCENT

static final org.eclipse.emf.ecore.EAttribute PIE_SERIES__INNER_RADIUS_PERCENT
The meta object literal for the 'Inner Radius Percent' attribute feature.

### SCATTER_SERIES

static final org.eclipse.emf.ecore.EClass SCATTER_SERIES
The meta object literal for the '`Scatter Series`' class.

See Also:
  - `ScatterSeriesImpl`
  - `TypePackageImpl.getScatterSeries()`

### STOCK_SERIES

static final org.eclipse.emf.ecore.EClass STOCK_SERIES
The meta object literal for the '`Stock Series`' class.

See Also:
  - `StockSeriesImpl`
  - `TypePackageImpl.getStockSeries()`

### STOCK_SERIES__FILL

static final org.eclipse.emf.ecore.EReference STOCK_SERIES__FILL
The meta object literal for the 'Fill' containment reference feature.

### STOCK_SERIES__LINE_ATTRIBUTES

static final org.eclipse.emf.ecore.EReference STOCK_SERIES__LINE_ATTRIBUTES
The meta object literal for the 'Line Attributes' containment reference feature.

### STOCK_SERIES__SHOW_AS_BAR_STICK

static final org.eclipse.emf.ecore.EAttribute STOCK_SERIES__SHOW_AS_BAR_STICK
The meta object literal for the 'Show As Bar Stick' attribute feature.

### STOCK_SERIES__STICK_LENGTH

static final org.eclipse.emf.ecore.EAttribute STOCK_SERIES__STICK_LENGTH
The meta object literal for the 'Stick Length' attribute feature.